# Administration Reference

## fs checkvolumes

Purpose

Forces the Cache Manager to update volume-related information

Synopsis

    fs checkvolumes [-help]

    fs checkv [-h]

Description

The fs checkvolumes command discards the table of mappings between volume names and volume ID numbers that the Cache Manager stores in memory and uses when fetching data from volumes. The next time an application requests AFS data, the Cache Manager must contact the Volume Location (VL) Server for volume location information, and then an appropriate file server machine for the actual data.

The Cache Manager updates the table of mappings periodically (by default, hourly), but this command is useful if the issuer knows that a volume's name has changed, or that new read-only replicas of a volume have been released, because issuing it forces the Cache Manager to reference the changed volume.

Options

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The following message confirms that the command ran successfully.

       All volumeID/name mappings checked.

Privilege Required

None

© IBM Corporation 2000. All Rights Reserved